/*****************************
MEDIA QUERIES
*****************************/

/* for 980px or less */
@media screen and (max-width: 980px) {
    .hg {
        grid-template-areas: 
            "header"
            "pesq"
            "main"
            "esq"
            "dir"
            "footer";

        grid-template-columns: 100%;
        grid-template-rows: 
            auto 
            auto 
            1fr 
            auto 
            auto 
            auto;
    }

    .info-contacto{padding: 60px 0 0 0; margin-top: 80px; margin-right: 0; min-width: min-content; position: relative; border-radius: 0; background: none;}
    /*.info-contacto > :first-child {font-size: 1.2em;}*/
    .info-contacto p{text-align: center; padding: 0 20px;}
    .info-contacto::before{
        content: "";
        position: absolute; 
        top: 0;
        left: 50%;
        transform: translate(-50%, -50%);
        width: 100%;
        max-width: 500px;
        height: 1px;
        margin: auto;
        background: linear-gradient(to right, transparent, #ccc, transparent);
    }

}

@media screen and (max-width: 80em) {
    /*Pagini Espaços*/
    /*    .pagini-espacos, #events .item-container{float: left; width: 50%;}
    
        .footertop-txt{width: 60%; padding-right: 20px;}
        .footertop-botao{vertical-align: bottom;}*/

    /*### Slideshow CK ###*/
    .slidepagini-meio .camera_pag .camera_pag_ul {text-align: left; margin-left: 2%;}

    .slidepagini-meio{margin-bottom: 90px !important;}
    .slidepagini-meio .camera_target_content{overflow: visible;}
    .slidepagini-meio .camera_caption{bottom: -10%; right: 2%; width: 80%;}
    .slidepagini-meio .camera_caption > div{opacity: 1;}

    .slideck-pagini .camera_caption{left: auto; right: auto;}
}


@media screen and (max-width: 56em) {
    /*Texto Slide*/
    /*    .slidepagini .camera_caption > div div.camera_caption_desc:before, 
        .slidepagini .camera_caption > div div.camera_caption_desc:after, 
        .slidepagini-outros .camera_caption > div div.camera_caption_desc:before, 
        .slidepagini-outros .camera_caption > div div.camera_caption_desc:after, 
        .topotextodesc:before, .topotextodesc:after{display: none;}*/

    /*Pagini Espaços*/
    /*    .pagini-espacos, #events .item-container{width: 100%;}
        .pagini-sombra{margin:1% 0 1% 0;}
        .pagini-espacos img{padding: 1% 0 1% 0;}*/

    /*### Event Gallery ###*/
    .event .text p{text-align: left;}
}


@media screen and (max-width: 50em) {

    /*### Imagens Inicio ###*/
    .ini-secao {flex-direction: column; align-items: center; text-align: center;}
    .ini-secao img {height: auto; max-width: 100%;}
    .ini-conteudo {align-items: center; text-align: center; padding: 40px 20px;}
    .ini-conteudo p{text-align: center;}

    /*### Imagens flex ###*/
    .container{display: block;}
    .blog-item:nth-child(even) .item-title{text-align: left;}
    .grid, .info {width: 100%;}
    .info{margin: 30px 0;}
    .blog-item:not(:first-child) .item-content{margin-top: 150px;}
    .blog-item:not(:first-child):not(:last-child) .item-content::before{top:-50px;}

    .txt-master{margin-left: 15px; margin-right: 15px;}
    /*.event .text{margin-bottom: 40px;}*/

    /*.footertop-txt{width: auto; padding-bottom: 10px;}*/

    /*Header*/
    .headermaster{height: 0;}
    .headeron{height: 70px;}
    .menutopon{top: 12px;}
    .logomaster{top: 25px; right: auto; -webkit-transform: translateX(0); transform: translateX(0) !important; left: calc(15px + 1%);}
    .logotopon{top: 8px;}
    .cd-nav-trigger, .cd-nav-trigger svg{width: 45px; height: 45px;}

    #onloadjmlid .logosite{width: 170px; height: 75px; background-size: 170px auto;}

    /*Content*/
    /*.destaqueblog{flex-direction: column;}*/
    .txt-master{text-align: left;}

    /*Menu*/
    .cd-nav .cd-navigation-wrapper{padding: 20px 2% 20px 20%;}
    .menuesq, .menudir{width: 100%; float: none;}

    /*Video Texto */
    /*.topotextomaster{transform: translate(-50%,-40%);}*/
    /*.topotexto, .topotextodesc{padding: 0 3%;}*/

    /*Footer*/
    /*.footertop-txt{font-size: 1.8rem;}*/

    .footer-master{flex-direction: column-reverse; padding-left: 30px; padding-right: 20px;}
    .footer-esq{padding-top: 30px;}
    .footer-dir{justify-content: flex-start; padding: 0;}

    .footer-pedras{transform: translateX(40%);}

    /*### Contact Txt ###*/
    /*    .contacto-txt-master{padding-top:10px;}
        .contacto-left{display: block; max-width: 180px; height: auto; margin: 20px auto; padding: 20px 0; border: 0; border-bottom: 1px #ddd dashed;}
        .contacto-left:first-of-type{border-left: 0;}*/

    /*### Contact Form ###*/
    .orcamentos::before,.orcamentos::after {display: none; animation: none;}
    .orcamentos > * {margin-left: 0!important; padding: 0;}

}

@media screen and (max-width: 40em) {
    /*### Imagens flex ###*/
    .grid{flex-direction: column; width: 100%;}


    /*Video Texto*/
    /*    .topotexto{font-size: 1.5rem; letter-spacing: 0.5px;}
        .topotextodesc{font-size: 1rem;}*/

    /*### Slideshow CK ###*/
    .slideck-pagini .camera_caption{bottom: 3em;}
    .slideck-pagini .camera_caption_title{font-size: 2.3em;}

    /*### Topo Rato Scroll ###*/
    /*    .toporatomaster-380{display: block;}
        .toporatomaster-380{position: absolute; top: 330px; width: 30px; margin: 0 auto; left: 0; right: 0; z-index: 1;}*/

    /*### Destaque ###*/
    /*    .destaque-txt{margin-bottom: 40px;}
        .destaque-txt h3{font-size: 1.8rem;}*/

    /*### Event Gallery ###*/
    /*.eventgallery-category-headline{font-size: 1.8rem;}*/

    /*### CountUp ###*/
    /*.counter-master{display: block; width: 100%; margin-bottom: 30px;}*/
}


@media screen and (max-width: 32.25em) {
    /*Footer*/
    /*.footertop{margin: 0;}*/
}


@media screen and (max-width: 24em) {
}


/*### JML3 Columns Blog Layout ###*/
@media screen and (min-width: 1200px){

    /*two columns*/
    /*.cols-2 .column-1, .cols-2 .column-2 {float: left; width: 50%;}*/
    /*three columns*/ 
    /*.cols-3 .column-1, .cols-3 .column-2, .cols-3 .column-3 {float: left; width: 33%; margin-right: 0;}*/
}

@media screen and (max-width: 1199px) {
    /* two columns */
    /*.cols-2 .column-1, .cols-2 .column-2 {width: 50%;}*/
    /* three columns */
    /*.cols-3 .column-1, .cols-3 .column-2, .cols-3 .column-3 {width: 33%; margin-right: 0;}*/
}

@media screen and (max-width: 959px) {
    /* two columns and three columns */
    /*.cols-2 .column-1, .cols-2 .column-2, .cols-3 .column-1, .cols-3 .column-2, .cols-3 .column-3 {width: 100%;}*/

    /* +++ MEU para QLR +++ */
    /*.column-1, .column-2, .column-3{padding-bottom:40px;}*/
    /*.column-1:last-of-type, .column-2:last-of-type, .column-3:last-of-type{padding-bottom:10px;}*/
}